cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/file_stash/download \
--header 'Authorization: Bearer <token>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.fileStash.downloadFile({
s3Key: "s3_key"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.file_stash.download_file(
s_3_key="s3_key",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.filestash.requests.FileStashDownloadFileRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.fileStash().downloadFile(
FileStashDownloadFileRequest
.builder()
.s3Key("s3_key")
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/file_stash/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"<string>"{
"error": "Throttled"
}Download file
Download a file from File Stash
GET
/
v1
/
connect
/
{project_id}
/
file_stash
/
download
cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/file_stash/download \
--header 'Authorization: Bearer <token>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.fileStash.downloadFile({
s3Key: "s3_key"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.file_stash.download_file(
s_3_key="s3_key",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.filestash.requests.FileStashDownloadFileRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.fileStash().downloadFile(
FileStashDownloadFileRequest
.builder()
.s3Key("s3_key")
.build()
);
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/file_stash/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"<string>"{
"error": "Throttled"
}Authorizations
ConnectTokenOAuth2
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Path Parameters
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Query Parameters
The S3 key for the file to download
Pattern:
^1day\/[^\/]+\/[^\/]+\/[^\/]+\/u\/.*$Response
file contents
The response is of type file.
Was this page helpful?
⌘I